Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
numthry.cpp File Reference
`#include <botan/numthry.h>`
`#include <botan/reducer.h>`
`#include <botan/monty.h>`
`#include <botan/divide.h>`
`#include <botan/rng.h>`
`#include <botan/internal/ct_utils.h>`
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/monty_exp.h>`
`#include <botan/internal/primality.h>`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
BigInt | Botan::gcd (const BigInt &a, const BigInt &b)
BigInt | Botan::is_perfect_square (const BigInt &C)
bool | Botan::is_prime (const BigInt &n, RandomNumberGenerator &rng, size_t prob, bool is_random)
BigInt | Botan::lcm (const BigInt &a, const BigInt &b)
size_t | Botan::low_zero_bits (const BigInt &n)
BigInt | Botan::power_mod (const BigInt &base, const BigInt &exp, const BigInt &mod)